using MongoDB.Bson.Serialization.Attributes;

namespace CharacterApi.Models;

[BsonIgnoreExtraElements]
public class VisibleLocationResource
{
    [BsonElement("itemKey")]
    public string ItemKey { get; set; } = string.Empty;

    [BsonElement("remainingQuantity")]
    public int RemainingQuantity { get; set; }

    [BsonElement("gatherQuantity")]
    public int GatherQuantity { get; set; } = 1;
}
